package com.ctgu.pro_eld_mqtt_compare.mqtt;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @ClassName MqttOutboundProperties
 * @Author Alex2
 * @Date 2025/7/8 9:45
 **/
@Data
@Component
@ConfigurationProperties(prefix = "mqtt.outbound")
public class MqttOutboundProperties {
    private String url;
    private String username;
    private String password;
    private String clientId;
    private String topic;
    private Integer qos;
}
